FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 07-15-2008, 03:19 AM
Peter Gordon
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

Hi, all.

Just an FYI: I've bumped rb_libtorrent to 0.13.1 in Rawhide, which
changes the soname (libtorrent-0.12.1.so -->libtorrent-rasterbar.so.0)

Aside from the large amount of bug-fixes, packaging recent versions of
rb_libtorrent will make it much more feasible to use a system copy with
Deluge 1.0 soon (which is just hitting its RCs, and currently uses its
own internal copy synced to upstream trunk every so often).

According to repoquery, the only thing that currently depends on this
library is linkage (a GTK+ BitTorrent client); and that - according to
its upstream authors - should work just fine with this updated
rb_libtorrent once an update to linkage-0.2.0 is pushed.

Howevever, I think that linkage-0.2.0 still needs some D-BUS C++ love,
so it'll probably remain broken until that happens. (If needed, we can
maintain a separate compat package for rb_libtorrent-0.12.x; but I hope
that it will not be necessary.)

Thanks.
--
´╗┐Peter Gordon (codergeek42)
GnuPG Public Key ID: 0xFFC19479 / Fingerprint:
DD68 A414 56BD 6368 D957 9666 4268 CB7A FFC1 9479
--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-15-2008, 07:35 PM
drago01
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

2008/7/15 Peter Gordon <peter@thecodergeek.com>:
> Hi, all.
>
> Just an FYI: I've bumped rb_libtorrent to 0.13.1 in Rawhide, which
> changes the soname (libtorrent-0.12.1.so -->libtorrent-rasterbar.so.0)
>
> Aside from the large amount of bug-fixes, packaging recent versions of
> rb_libtorrent will make it much more feasible to use a system copy with
> Deluge 1.0 soon (which is just hitting its RCs, and currently uses its
> own internal copy synced to upstream trunk every so often).
>
> According to repoquery, the only thing that currently depends on this
> library is linkage (a GTK+ BitTorrent client); and that - according to
> its upstream authors - should work just fine with this updated
> rb_libtorrent once an update to linkage-0.2.0 is pushed.
>
> Howevever, I think that linkage-0.2.0 still needs some D-BUS C++ love,
> so it'll probably remain broken until that happens. (If needed, we can
> maintain a separate compat package for rb_libtorrent-0.12.x; but I hope
> that it will not be necessary.)

I tryed to do a scratch build of llinkage 0.2.0 [1] against the new
rb_libtorrent but it fails.[2]
Which is odd (complaining about cannot find 0.13) while the root.log
shows that it is indeed installed. [3]

1: http://koji.fedoraproject.org/koji/taskinfo?taskID=718436
2: http://koji.fedoraproject.org/koji/getfile?taskID=718436&name=build.log
3: http://koji.fedoraproject.org/koji/getfile?taskID=718455&name=root.log

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-16-2008, 12:35 AM
Alex Lancaster
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

>>>>> "d" == drago01 writes:

[...]

d> I tryed to do a scratch build of llinkage 0.2.0 [1] against the new
d> rb_libtorrent but it fails.[2] Which is odd (complaining about
d> cannot find 0.13) while the root.log shows that it is indeed
d> installed. [3]

d> 1: http://koji.fedoraproject.org/koji/taskinfo?taskID=718436 2:
d> http://koji.fedoraproject.org/koji/getfile?taskID=718436&name=build.log
d> 3:
d> http://koji.fedoraproject.org/koji/getfile?taskID=718455&name=root.log

Looking at that build.log it looks like it's failing because of a
patch that fails, not an error from configure or make:

+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (linkage-0.1.4-plugindir.patch):'
Patch #0 (linkage-0.1.4-plugindir.patch):
+ /bin/cat /builddir/build/SOURCES/linkage-0.1.4-plugindir.patch
+ /usr/bin/patch -s -p1 -b --suffix .plugindir --fuzz=0
1 out of 1 hunk FAILED -- saving rejects to file configure.rej
error: Bad exit status from /var/tmp/rpm-tmp.8c3LMo (%prep)
RPM build errors:
Bad exit status from /var/tmp/rpm-tmp.8c3LMo (%prep)

Alex

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-16-2008, 08:19 AM
drago01
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

On Wed, Jul 16, 2008 at 2:35 AM, Alex Lancaster
<alexl@users.sourceforge.net> wrote:
>>>>>> "d" == drago01 writes:
>
> [...]
>
> d> I tryed to do a scratch build of llinkage 0.2.0 [1] against the new
> d> rb_libtorrent but it fails.[2] Which is odd (complaining about
> d> cannot find 0.13) while the root.log shows that it is indeed
> d> installed. [3]
>
> d> 1: http://koji.fedoraproject.org/koji/taskinfo?taskID=718436 2:
> d> http://koji.fedoraproject.org/koji/getfile?taskID=718436&name=build.log
> d> 3:
> d> http://koji.fedoraproject.org/koji/getfile?taskID=718455&name=root.log
>
> Looking at that build.log it looks like it's failing because of a
> patch that fails, not an error from configure or make:
>
> + /bin/chmod -Rf a+rX,u+w,g-w,o-w .
> + echo 'Patch #0 (linkage-0.1.4-plugindir.patch):'
> Patch #0 (linkage-0.1.4-plugindir.patch):
> + /bin/cat /builddir/build/SOURCES/linkage-0.1.4-plugindir.patch
> + /usr/bin/patch -s -p1 -b --suffix .plugindir --fuzz=0
> 1 out of 1 hunk FAILED -- saving rejects to file configure.rej
> error: Bad exit status from /var/tmp/rpm-tmp.8c3LMo (%prep)
> RPM build errors:
> Bad exit status from /var/tmp/rpm-tmp.8c3LMo (%prep)

Sorry wrong log here is the one:
http://koji.fedoraproject.org/koji/taskinfo?taskID=718465
http://koji.fedoraproject.org/koji/getfile?taskID=718465&name=build.log

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-16-2008, 10:21 AM
drago01
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

On Wed, Jul 16, 2008 at 10:19 AM, drago01 <drago01@gmail.com> wrote:
> On Wed, Jul 16, 2008 at 2:35 AM, Alex Lancaster
> <alexl@users.sourceforge.net> wrote:
>>>>>>> "d" == drago01 writes:
>>
>> [...]
>>
>> d> I tryed to do a scratch build of llinkage 0.2.0 [1] against the new
>> d> rb_libtorrent but it fails.[2] Which is odd (complaining about
>> d> cannot find 0.13) while the root.log shows that it is indeed
>> d> installed. [3]
>>
>> d> 1: http://koji.fedoraproject.org/koji/taskinfo?taskID=718436 2:
>> d> http://koji.fedoraproject.org/koji/getfile?taskID=718436&name=build.log
>> d> 3:
>> d> http://koji.fedoraproject.org/koji/getfile?taskID=718455&name=root.log
>>
>> Looking at that build.log it looks like it's failing because of a
>> patch that fails, not an error from configure or make:
>>
>> + /bin/chmod -Rf a+rX,u+w,g-w,o-w .
>> + echo 'Patch #0 (linkage-0.1.4-plugindir.patch):'
>> Patch #0 (linkage-0.1.4-plugindir.patch):
>> + /bin/cat /builddir/build/SOURCES/linkage-0.1.4-plugindir.patch
>> + /usr/bin/patch -s -p1 -b --suffix .plugindir --fuzz=0
>> 1 out of 1 hunk FAILED -- saving rejects to file configure.rej
>> error: Bad exit status from /var/tmp/rpm-tmp.8c3LMo (%prep)
>> RPM build errors:
>> Bad exit status from /var/tmp/rpm-tmp.8c3LMo (%prep)
>
> Sorry wrong log here is the one:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=718465
> http://koji.fedoraproject.org/koji/getfile?taskID=718465&name=build.log
>
OK, seems like the name changed to libtorrent-rasterbar in the pkg-config file.

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-16-2008, 11:36 AM
drago01
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

2008/7/15 Peter Gordon <peter@thecodergeek.com>:
> Hi, all.
>
> Just an FYI: I've bumped rb_libtorrent to 0.13.1 in Rawhide, which
> changes the soname (libtorrent-0.12.1.so -->libtorrent-rasterbar.so.0)
>
> Aside from the large amount of bug-fixes, packaging recent versions of
> rb_libtorrent will make it much more feasible to use a system copy with
> Deluge 1.0 soon (which is just hitting its RCs, and currently uses its
> own internal copy synced to upstream trunk every so often).
>
> According to repoquery, the only thing that currently depends on this
> library is linkage (a GTK+ BitTorrent client); and that - according to
> its upstream authors - should work just fine with this updated
> rb_libtorrent once an update to linkage-0.2.0 is pushed.
>
> Howevever, I think that linkage-0.2.0 still needs some D-BUS C++ love,
> so it'll probably remain broken until that happens. (If needed, we can
> maintain a separate compat package for rb_libtorrent-0.12.x; but I hope
> that it will not be necessary.)

Submitted dbus-c++ for review (its needed for the new linkage).
https://bugzilla.redhat.com/show_bug.cgi?id=455575

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-16-2008, 09:35 PM
drago01
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

dbus-c++ is now packaged and built but it still fails to build.

Peter can you please have a look at
http://code.google.com/p/linkage/issues/detail?id=59&colspec=ID%20Type%20Status%20Priority %20Milestone%20Owner%20Summary%20Opened
Did the API between 0.13 -> 0.13.1 ?

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-17-2008, 12:34 AM
Mamoru Tasaka
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

drago01 wrote, at 07/17/2008 06:35 AM +9:00:

dbus-c++ is now packaged and built but it still fails to build.

Peter can you please have a look at
http://code.google.com/p/linkage/issues/detail?id=59&colspec=ID%20Type%20Status%20Priority %20Milestone%20Owner%20Summary%20Opened
Did the API between 0.13 -> 0.13.1 ?



This is very similar with
https://bugzilla.redhat.com/show_bug.cgi?id=454940#c3 and for this issue
the following can be a workaround:
-----------------------------------------------------------
sed -i
-e 's|$ac_boost_path/lib|$libdir|'
-e 's|$ac_boost_path_tmp/lib|$libdir|'
configure
-----------------------------------------------------------

However even after applying this workaround, the build fails at another point
(not specific to x86_64):
http://koji.fedoraproject.org/koji/taskinfo?taskID=721548

Mamoru

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-17-2008, 12:06 PM
drago01
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

On Thu, Jul 17, 2008 at 2:34 AM, Mamoru Tasaka
<mtasaka@ioa.s.u-tokyo.ac.jp> wrote:
> drago01 wrote, at 07/17/2008 06:35 AM +9:00:
>>
>> dbus-c++ is now packaged and built but it still fails to build.
>>
>> Peter can you please have a look at
>>
>> http://code.google.com/p/linkage/issues/detail?id=59&colspec=ID%20Type%20Status%20Priority %20Milestone%20Owner%20Summary%20Opened
>> Did the API between 0.13 -> 0.13.1 ?
>>
>
> This is very similar with
> https://bugzilla.redhat.com/show_bug.cgi?id=454940#c3 and for this issue
> the following can be a workaround:
> -----------------------------------------------------------
> sed -i
> -e 's|$ac_boost_path/lib|$libdir|'
> -e 's|$ac_boost_path_tmp/lib|$libdir|'
> configure
> -----------------------------------------------------------
>
> However even after applying this workaround, the build fails at another
> point
> (not specific to x86_64):
> http://koji.fedoraproject.org/koji/taskinfo?taskID=721548

OK, thanks I fixed this one too and now it builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=722171
But the regular build failed due to a broken dep
....http://koji.fedoraproject.org/koji/taskinfo?taskID=722185

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 07-17-2008, 03:06 PM
drago01
 
Default Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)

On Thu, Jul 17, 2008 at 2:06 PM, drago01 <drago01@gmail.com> wrote:
> On Thu, Jul 17, 2008 at 2:34 AM, Mamoru Tasaka
> <mtasaka@ioa.s.u-tokyo.ac.jp> wrote:
>> drago01 wrote, at 07/17/2008 06:35 AM +9:00:
>>>
>>> dbus-c++ is now packaged and built but it still fails to build.
>>>
>>> Peter can you please have a look at
>>>
>>> http://code.google.com/p/linkage/issues/detail?id=59&colspec=ID%20Type%20Status%20Priority %20Milestone%20Owner%20Summary%20Opened
>>> Did the API between 0.13 -> 0.13.1 ?
>>>
>>
>> This is very similar with
>> https://bugzilla.redhat.com/show_bug.cgi?id=454940#c3 and for this issue
>> the following can be a workaround:
>> -----------------------------------------------------------
>> sed -i
>> -e 's|$ac_boost_path/lib|$libdir|'
>> -e 's|$ac_boost_path_tmp/lib|$libdir|'
>> configure
>> -----------------------------------------------------------
>>
>> However even after applying this workaround, the build fails at another
>> point
>> (not specific to x86_64):
>> http://koji.fedoraproject.org/koji/taskinfo?taskID=721548
>
> OK, thanks I fixed this one too and now it builds:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=722171
> But the regular build failed due to a broken dep
> ....http://koji.fedoraproject.org/koji/taskinfo?taskID=722185

Fixed this with a hack:
http://koji.fedoraproject.org/koji/buildinfo?buildID=56400
and filled bug against w3m (with the fix, but ACLs are closed):
http://koji.fedoraproject.org/koji/buildinfo?buildID=56400

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 

Thread Tools




All times are GMT. The time now is 07:41 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ę2007 - 2008, www.linux-archive.org